Find Ticket
Retrieves ticket id and access details about a specific ticket or list of tickets, depending on which query parameter is used. If the value is not found, an empty list is returned. In case when a list of external numbers is provided, all matching tickets are returned, including duplicates. Tickets not found are omitted from the result. Leading and trailing spaces are ignored in the provided ticket numbers.
Exactly one of ticketId, externalNumbers or notificationAddress must be provided.
- Filter using ticketId, externalNumbers or notificationAddress to get a specific ticket or a list of tickets.
- Use externalNumbers to find multiple tickets by their external numbers. (Separate the ticket number with a comma).
- Admission content and item descriptions can be included with withAdmissionContent.
- Access history summary is always included; use withAccessHistoryDetails to also include event-level events.
- Use withWallet to include inWallet and wallets, the headers of the Attraction Wallets holding the ticket.
- activeOnly controls whether blocked/expired tickets are filtered out (defaults to true when omitted).
Authentication
Path parameters
Your Entra Tenant ID. More details.
Your Business Central Environment. More details.
Your Business Central Company. More details.
Headers
Used for API versioning. More details.
Query parameters
When true, the response includes inWallet and the wallets array. Defaults to false.
A unique identifier for a store - a logical grouping defining a subset of ticket items. This is used to filter the list of ticket items returned by the API. When left empty, the API will use the default store code.
Response
The name of the person holding the ticket(s)
Only present when withWallet=true. true when the ticket is in a wallet.
Only present when withWallet=true. The wallets currently holding the ticket, each as Get Wallet returns it but without the assets. Empty when the ticket is in no wallet.
